//fragment shader
//toon probe geometry 
#extension GL_ARB_texture_rectangle : enable

uniform sampler2DRect VOLUMEDATA_DEPTH;

void main(void) {

    vec4 pos;
    pos.xy 	= vec2(gl_FragCoord.x,gl_FragCoord.y);	//screen coordinate
    pos.z 	= texture2DRect(VOLUMEDATA_DEPTH, pos.xy).a; //volume depth texture
    pos.w	= 1.0;

    if (gl_FragCoord.z <= pos.z){	
		gl_FragColor = vec4(1.0,0.0,0.0,1.0);
	} else { 
	  float alpha = (gl_FragCoord.z-pos.z);		
	  if (alpha <= 0.02)
	     alpha = 0.35;
	  else if (alpha > 0.02 && alpha <= 0.1)
	     alpha = 0.25;	  
	  else if (alpha > 0.1 && alpha <= 0.2)
	     alpha = 0.15;	  
	  else if (alpha > 0.2 && alpha <= 0.3)
	     alpha = 0.1;	  
	  else if (alpha > 0.3 && alpha <= 0.5)
	     alpha = 0.05;
	  else 
	     alpha = 0.01;	  
	  gl_FragColor = vec4(1.0,0.0,0.0,alpha);

//		gl_FragColor = vec4(1.0,0.0,0.0,(gl_FragCoord.z-pos.z));
//		gl_FragColor = vec4(1.0,0.0,0.0,0.35);
//		gl_FragColor = vec4(1.0,0.0,0.0,0.05);
	}
}
