// # Filename: glslDefs.h
// #
// # Synopsis: This header define GLOBAL VARIABLES
// # 	valid for the main program and shader script
// #
// # Copyright (C) 2011 
// #	 Author: Lionis de Souza Watanabe, Wu Shin-Ting and 
// #	         Jose Elias Yauri Vidalon
// #
// #   This program is free software: you can redistribute it and/or modify
// #   it under the terms of the GNU Affero General Public License as
// #   published by the Free Software Foundation, either version 3 of the
// #   License, or (at your option) any later version.
// #
// #   This program is distributed in the hope that it will be useful,
// #   but WITHOUT ANY WARRANTY; without even the implied warranty of
// #   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// #   GNU Affero General Public License for more details.
// #
// #   You should have received a copy of the GNU Affero General Public License
// #   along with this program.  If not, see <http://www.gnu.org/licenses/>.
// #
//
#define X 0
#define Y 1
#define Z 2
#define W 3
#define ON 1
#define OFF 0
#define VMTK_SAGITTAL 0
#define VMTK_CORONAL 1
#define VMTK_AXIAL 2
#define VMTK_VOLUME3D 3
#define TRANSFERFUNCTION 4
#define CONTROLMENU 5
#define INT_FORMAT_BITS 255
#define TAG000 0 // channel R: no markup, just show the RAW voxel   / channel G: depth 0
#define TAG001 1 // channel R: transparent                          / channel G: depth 1
#define TAG002 2 // channel R: painted                              / channel G: depth 2
#define TAG003 3 // channel R: point of reference                   / channel G: depth 3
#define TAG004 4 // channel R: point of interest                    / channel G: depth 4
#define TAG005 5 // channel R: lines                                / channel G: depth 5
#define TAG006 6 // channel R: eraser                               / channel G: depth 6
#define TAG007 7 // channel R: cursor3D                             / channel G: depth 7

// ...
//#define TAG253 253 //                  / depth 253
//#define TAG254 254 //                  / depth 254
//#define TAG255 255 //                  / depth 255
#define MARKUP X //for voxel's markup tags
#define DEPTH Y //for depth tags

